WinShopAPI docs
ReferenceItem lists

Products / Individual parameters / Values

List values

GET
/api/item-lists/products/individual-parameters/values

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/products/individual-parameters/values' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "parameterId": 0,    "value": "string"  }]

Get a value

GET
/api/item-lists/products/individual-parameters/values/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
parameterId?integer
Formatint32
value?string
Lengthlength <= 255
curl -X GET 'https://<your-instance>/api/item-lists/products/individual-parameters/values/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "parameterId": 0,  "value": "string"}